Subject: Re: bug#71971: 31.0.50; Add user option server-window-alist

From: Michael Albinus <[email-masked]>
Date: Fri, 19 Jul 2024 18:45:47 +0200

Michael Albinus <[email-masked]> writes:

Hi,

> What I could imagine is, that emacsclient gets the option to send an
> identification, a string, to the server. With this, on the server side,
> a set of preferences (variables) could be set for a given
> identification, which matches a regexp. Not only for server-window, but
> any variable. This would look like
>
> ((REGEXP (VAR . VALUE) .. (VAR . VALUE))
>  (REGEXP (VAR . VALUE) .. (VAR . VALUE))
>  ...)
>
> Any VAR, like server-window, would use its related VALUE, which has
> precedence.
>
> Packages, like magit, could prepare such preferences, and activate if
> the corresponding emacsclient sends an identification which matches a
> regexp. User could prepare their own preferences, and invoke emacsclient
> with their private identification, like 'emacsclient --ident="my-identification"'.
>
> On protocol level between emacsclient and server.el, we would need a new
> command '-ident'. Or, if we must be backwards compatible, we could use
> 'eval' to set it, or we could use a special formatted '-comment'.
>
> This doesn't say which variables we recommend to use for
> preferences. Just a mean to communicate between emacsclient and
> server.el.

Unfortunately, no reaction yet. I'm undecided whether we shall go this way.

Best regards, Michael.